Bug 241245 - KPresenter PDF Export defaults should make slide fill page
Summary: KPresenter PDF Export defaults should make slide fill page
Status: RESOLVED FIXED
Alias: None
Product: calligrastage
Classification: Unclassified
Component: general (show other bugs)
Version: SVN
Platform: Fedora RPMs Linux
: NOR minor with 60 votes (vote)
Target Milestone: ---
Assignee: T Zachmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-09 23:12 UTC by Stuart Jarvis
Modified: 2010-10-29 15:22 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Minimal testcase - odp (9.36 KB, application/vnd.oasis.opendocument.presentation)
2010-06-09 23:12 UTC, Stuart Jarvis
Details
Minimal testcase - default PDF export (6.08 KB, application/pdf)
2010-06-09 23:13 UTC, Stuart Jarvis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stuart Jarvis 2010-06-09 23:12:14 UTC
Created attachment 47834 [details]
Minimal testcase - odp

Version:           svn (using KDE 4.4.3) 
OS:                Linux

Choosing File > Export as PDF by default fits the slide on to an A4 portrait page with margins. A common use case for PDF export from a presentation program is likely to use a PDF based presenter such as Okular or Impressive so the export should by default make the slide fill the whole page.

Reproducible: Always

Steps to Reproduce:
Open KPresenter
Choose default screen template
Add some text and a background (top make issue more obvious)
Go to File > PDF Export
View the exported file

Actual Results:  
Slide appears centred in a portrait oriented page with margins all around

Expected Results:  
The exported PDF is a landscape page of the same aspect ratio as the presentation and with no margins - slide fills the page

This is actually with stable 2.2.0 rather than SVN, but version 2.2.0 is not available in a drop down list.

A workaround is to instead use the print dialog, choose print to PDF and manually set up a page with any dimensions of the chosen aspect ration and orientation and set each of the four margins to zero
Comment 1 Stuart Jarvis 2010-06-09 23:13:57 UTC
Created attachment 47835 [details]
Minimal testcase - default PDF export
Comment 2 Kevin Funk 2010-09-13 10:04:05 UTC
Uhm, why is this "minor"? This is an essential feature ...
Comment 3 Zinchenko Andrij 2010-10-16 00:14:43 UTC
Yup, this feature is truly essential. I was pissed of severla times when I was expecting an Open-Office-like experience from "Export to PDF" feature. And exporting to PDF as it does is one of the best OO features for which its users (including me) love it.
Comment 4 Benjamin Port 2010-10-29 15:19:33 UTC
SVN commit 1191036 by bport:

Correct export to pdf in KPresenter, now the page size is slide size.
With the new methods to export to pdf, each KOffice application can choose to kept the old export feature (just print), or implement a specific operation for export pdf.
BUG: 241245


 M  +1 -0      kpresenter/part/CMakeLists.txt  
 A             kpresenter/part/KPrPdfPrintJob.cpp   [License: LGPL (v2+)]
 A             kpresenter/part/KPrPdfPrintJob.h   [License: LGPL (v2+)]
 M  +9 -1      kpresenter/part/KPrView.cpp  
 M  +3 -1      kpresenter/part/KPrView.h  
 M  +2 -1      libs/kopageapp/KoPAPageProvider.h  
 M  +5 -2      libs/kopageapp/KoPAPrintJob.h  
 M  +2 -2      libs/main/KoMainWindow.cpp  
 M  +6 -0      libs/main/KoView.cpp  
 M  +8 -0      libs/main/KoView.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1191036
Comment 5 Stuart Jarvis 2010-10-29 15:22:00 UTC
Awesome :-) Thanks